読者です 読者をやめる 読者になる 読者になる

tumblr

tumblr(タンブラー)は、メディアミックスブログサービス。ブログとミニブログ、そしてソーシャルブックマークを統合したマイクロブログサービスである。アメリカのDavidville.inc(現: Tumblr, Inc.)により2007年3月1日にサービスが開始された。

最新ruby & railsでインストールするときにハマったこと

最新と言ってもrails 4.1.4 ruby 2.1.2

debuggerが入らない

git clone https://github.com/razum2um/debugger.git
cd debugger/
gem build debugger.gemspec
gem install debugger-1.6.8.gem

なんかがこのバージョンに依存してたので適当な所からcloneしてきてローカルインストール

nokogiriが入らない

libxml2は最新のを使ってるのにも関わらず入らない

gem install nokogiri -- --use-system-libraries

これでなんとかなる。またこれも特定バージョンに依存してる場合は特定バージョンをインストールする

libv8が入らない

centos6.2上でやってたけどpatchコマンドが無い!ってshが騒いでた

sudo yum install patch